<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        var numero = parseInt(prompt("Introduce un numero entero"));
        var factorial = 1;
        for(i= 0; i < numero; i++){
            document.write(factorial + " ")
            factorial *= numero-i;
        }
        alert(factorial);

    </script>
</body>
</html>